[linux-dvb] [PATCH] gcc 2.95, again

Joachim Steiger roh at hyte.de
Sun Mar 20 08:45:39 CET 2005


On Sat, Mar 19, 2005 at 06:25:14PM +0100, Kenneth Aafl?y wrote:
> On Saturday 19 March 2005 17:48, Olaf Titz wrote:
> > PLEASE folks, make sure not to break gcc 2.95. Can't be that hard at
> > all. Until 3.x produces a kernel which does not crash DVB (3.3.3 does
> > not, will try 3.4.3 later) I'm recommending to stick with 2.95.
> 
> Hmm, I've been using 3.3 for ages, and have not yet experienced any problems
> caused by the compiler..
same here.
although i had a issue with 2.6.x and xbox-linux one time (didn't boot)
which solved itself as soon i replaced gcc 3.3 with 3.4 (both debian).

what about a timeline where everyone who contributes code can check how
long he has to support a compatibily to $compiler, $kernelversion,
$whatever is written in there?

when i read some of the drivers i can shurely say that often bugs are
introduced due to 'compatibily' with 'old crap'. (e.g 2.4 kernel series)

backward compatibilily is the number one killer for readable and
maintainable code.

just my 2 cents

--

roh




More information about the linux-dvb mailing list